# Ximper Unified Theme Switcher

**Version:** 0.1.0


**Authors:** Ximper, Fiersik  

## Description
**Ximper Unified Theme Switcher**

Designed to switch themes (Kvantum and GTK3) to suitable ones, simultaneously with changing the style of your system.

## Issues and Suggestions
If you have any questions or suggestions, please create them in the [Issues section](https://gitlab.eterfund.ru/ximperlinux/ximper-unified-theme-switcher/issues).

## License
**Copyright © 2024 Etersoft**

---
# TODO

## GUI
- [ ] Notification that the service is off and a suggestion to turn it on.
- [x] Make the interface more user-friendly:
  - [ ] Add theme presets for all toolkits?
  - [ ] Rename Kvantum (to QT) and GTK3 (to GTK) headers?

## Service
- [ ] Switch themes for GTK4? (often break with libadwaita updates, difficult to implement).
- [ ] Support other environments (e.g., Hyprland, Cinnamon):
  - [x] Create a mode where the service monitors changes in the config file instead of the org.gnome.desktop.interface schema (possibly unnecessary).
