Name: ximper-unified-theme-switcher
Version: 0.1.0
Release: alt1
License: MIT

Summary: Unified theme switcher for Ximper linux

Group: System/Configuration/Other

Url: https://gitlab.eterfund.ru/ximperlinux/ximper-unified-theme-switcher

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-macros-meson rpm-macros-systemd
BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-gir

BuildRequires: libadwaita-gir-devel
BuildRequires: meson

%add_python3_path %_datadir/%name

%description
%summary.

%package service
Summary: Service for Ximper unified theme switcher
Group: System/Configuration/Other
Requires: Kvantum libgio

%description service
Service for Ximper unified theme switcher.

%package gui
Summary: GUI for Ximper unified theme switcher
Group: System/Configuration/Other
Requires: %name-service

%description gui
GUI for Ximper unified theme switcher.

%package config-distro-ximperlinux
Summary: Default set of themes for Ximper linux
Group: System/Configuration/Other
Requires: %name-service
Requires: gtk3-theme-adw-gtk3

%description config-distro-ximperlinux
Default set of themes for Ximper linux distro

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %name-gui

%files service
%_bindir/%name-service
%_user_unitdir/%{name}*
%dir %_sysconfdir/%name

%files gui -f %name-gui.lang
%_bindir/%name-gui

%_datadir/%name-gui
%_datadir/glib-2.0/schemas/*.gschema.xml
%_datadir/metainfo/*.metainfo.xml

%_desktopdir/ru.ximperlinux.UnifiedThemeSwitcher.desktop

%_iconsdir/hicolor/*/apps/*.svg

%files config-distro-ximperlinux
%_sysconfdir/%name/themes

%changelog
* Thu Jul 11 2024 Roman Alifanov <ximper@altlinux.org> 0.1.0-alt1
- initial build
